## bladeRF-e5fb3e9c20368dcee85f22e3b9a5c106f1d49c83.tar.gz

=== host/utilities/bladeRF-cli/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(bladeRF-cli C)

################################################################################
# Version information
################################################################################

set(VERSION_INFO_MAJOR  1)
set(VERSION_INFO_MINOR  6)
set(VERSION_INFO_PATCH  0)

if(NOT DEFINED VERSION_INFO_EXTRA)
    set(VERSION_INFO_EXTRA "git")
endif()
include(Version)

set(VERSION "${VERSION_INFO}")

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/src/version.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/src/version.h
    @ONLY
)

################################################################################
# Build dependencies
################################################################################
find_package(LibTecla)

if(MSVC)
    find_package(LibPThreadsWin32 REQUIRED)
else(MSVC)
	find_package(Threads REQUIRED)
endif(MSVC)

find_program(PANDOC_EXECUTABLE pandoc)
find_program(BASH_EXECUTABLE bash)

if(PANDOC_EXECUTABLE AND BASH_EXECUTABLE)
    set(CAN_BUILD_INTERACTIVE_HELP ON)
else()
    set(CAN_BUILD_INTERACTIVE_HELP OFF)
endif()

################################################################################
# Configuration options
################################################################################

option(ENABLE_LIBTECLA
        "Enable the use of libtecla, if available."
        ${LIBTECLA_FOUND})

option(BUILD_BLADERF_CLI_DOCUMENTATION
        "Build bladeRF-cli man page. Requires help2man."
        ${BUILD_DOCUMENTATION})

option(BUILD_BLADERF_CLI_INTERACTIVE_HELP
        "Rebuild bladeRF-cli interactive help. Requires pandoc."
        ${CAN_BUILD_INTERACTIVE_HELP})

if(NOT ${BUILD_DOCUMENTATION})
    set(BUILD_BLADERF_CLI_DOCUMENTATION OFF)
endif()

if((NOT CAN_BUILD_INTERACTIVE_HELP) AND (BUILD_BLADERF_CLI_INTERACTIVE_HELP))
    message(FATAL_ERROR "BUILD_BLADERF_CLI_INTERACTIVE_HELP was forced ON, "
            "but there are missing prerequisites!")
endif()

if(ENABLE_LIBTECLA)
    if((NOT LIBTECLA_INCLUDE_DIR) OR (NOT LIBTECLA_LIBRARIES))
        message(FATAL_ERROR "ENABLE_LIBTECLA was forced ON, but libtecla "
                "cannot be found!")
    endif()

    message(STATUS "libtecla support enabled")
endif()

################################################################################
# Regenerate interactive help
################################################################################
file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/src/cmd/doc)

if(BUILD_BLADERF_CLI_INTERACTIVE_HELP)
    # Do a quick test to make sure we have everything we need...
    execute_process(
        COMMAND ${BASH_EXECUTABLE}
            ${CMAKE_CURRENT_SOURCE_DIR}/src/cmd/doc/generate.bash
                --pandoc=${PANDOC_EXECUTABLE}
                --test
                ${CMAKE_CURRENT_SOURCE_DIR}/src/cmd/doc/interactive-help.md
        RESULT_VARIABLE INTERACTIVE_HELP_GENERATOR_FAILED
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/src/cmd/doc
    )

    if(INTERACTIVE_HELP_GENERATOR_FAILED)
        message(FATAL_ERROR "generate.bash failed! Try disabling "
                "BUILD_BLADERF_CLI_INTERACTIVE_HELP, or fix the above error.")
    endif()

    # Run the generation script during build
    message(STATUS "Will regenerate bladeRF-cli interactive help")
    add_custom_command(
        OUTPUT src/cmd/doc/cmd_help.h src/cmd/doc/cmd_help.man
        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/src/cmd/doc/generate.bash
        COMMAND ${BASH_EXECUTABLE}
            ${CMAKE_CURRENT_SOURCE_DIR}/src/cmd/doc/generate.bash
                --pandoc=${PANDOC_EXECUTABLE}
                ${CMAKE_CURRENT_SOURCE_DIR}/src/cmd/doc/interactive-help.md
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/src/cmd/doc
    )
else()
    # Re-use old cmd_help.h and cmd_help.man
    message(STATUS "Reusing existing interactive help for bladeRF-cli")
    add_custom_command(
        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/src/cmd/doc/cmd_help.h.in
        OUTPUT src/cmd/doc/cmd_help.h
        COMMAND ${CMAKE_COMMAND} -E copy 
            ${CMAKE_CURRENT_SOURCE_DIR}/src/cmd/doc/cmd_help.h.in
            ${CMAKE_CURRENT_BINARY_DIR}/src/cmd/doc/cmd_help.h
    )
    add_custom_command(
        DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/src/cmd/doc/cmd_help.man.in
        OUTPUT src/cmd/doc/cmd_help.man
        COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/src/cmd/doc/cmd_help.man.in
            ${CMAKE_CURRENT_BINARY_DIR}/src/cmd/doc/cmd_help.man
    )
endif()

################################################################################
# Include paths
################################################################################
set(CLI_INCLUDE_DIRS
       ${CMAKE_CURRENT_SOURCE_DIR}/src
       ${CMAKE_CURRENT_SOURCE_DIR}/src/cmd
       ${CMAKE_CURRENT_SOURCE_DIR}/src/input
       ${CMAKE_CURRENT_BINARY_DIR}/src
       ${CMAKE_CURRENT_BINARY_DIR}/src/cmd
       ${BLADERF_HOST_COMMON_INCLUDE_DIRS}
       ${libbladeRF_SOURCE_DIR}/include
       ${BLADERF_FW_COMMON_INCLUDE_DIR}
)

if(MSVC)
    set(CLI_INCLUDE_DIRS ${CLI_INCLUDE_DIRS} ${MSVC_C99_INCLUDES})
endif()


if(ENABLE_LIBTECLA)
    set(CLI_INCLUDE_DIRS ${CLI_INCLUDE_DIRS} ${LIBTECLA_INCLUDE_DIR})
endif()

if(MSVC)
    set(CLI_INCLUDE_DIRS ${CLI_INCLUDE_DIRS}
        ${BLADERF_HOST_COMMON_INCLUDE_DIRS}/windows
        ${LIBPTHREADSWIN32_INCLUDE_DIRS}
    )
endif()

if(APPLE)
    set(CLI_INCLUDE_DIRS ${CLI_INCLUDE_DIRS}
        ${BLADERF_HOST_COMMON_INCLUDE_DIRS}/osx
    )
endif()

include_directories(${CLI_INCLUDE_DIRS})

################################################################################
# Configure source files
################################################################################
set(BLADERF_CLI_SOURCE
        src/main.c
        src/common.c
        src/cmd/calibrate.c
        src/cmd/doc/cmd_help.h
        src/cmd/cmd.c
        src/cmd/erase.c
        src/cmd/flash_backup.c
        src/cmd/flash_image.c
        src/cmd/flash_init_cal.c
        src/cmd/flash_restore.c
        src/cmd/fw_log.c
        src/cmd/info.c
        src/cmd/load.c
        src/cmd/open.c
        src/cmd/peek.c
        src/cmd/lms_reg_info.c
        src/cmd/peekpoke.c
        src/cmd/poke.c
        src/cmd/printset.c
        src/cmd/printset_hardware.c
        src/cmd/printset_impl.c
        src/cmd/printset_xb.c
        src/cmd/probe.c
        src/cmd/xb.c
        src/cmd/xb100.c
        src/cmd/xb200.c
        src/cmd/xb300.c
        src/cmd/recover.c
        src/cmd/rx.c
        src/cmd/rxtx.c
        src/cmd/tx.c
        src/cmd/version.c
        src/cmd/jump_boot.c
        src/cmd/mimo.c
        src/cmd/trigger.c
        src/input/input.c
        src/input/script.c
        ${BLADERF_HOST_COMMON_SOURCE_DIR}/conversions.c
        ${BLADERF_HOST_COMMON_SOURCE_DIR}/dc_calibration.c
        ${BLADERF_HOST_COMMON_SOURCE_DIR}/log.c
        ${BLADERF_HOST_COMMON_SOURCE_DIR}/str_queue.c
        ${BLADERF_HOST_COMMON_SOURCE_DIR}/parse.c
)

# Select the input mode (and script handling) backend
if(ENABLE_LIBTECLA)
    set(BLADERF_CLI_SOURCE ${BLADERF_CLI_SOURCE} src/input/tecla.c)
else()
    set(BLADERF_CLI_SOURCE ${BLADERF_CLI_SOURCE} src/input/fgets.c)
endif()

if(MSVC)
    set(BLADERF_CLI_SOURCE ${BLADERF_CLI_SOURCE}
            ${BLADERF_HOST_COMMON_SOURCE_DIR}/windows/getopt_long.c
            ${BLADERF_HOST_COMMON_SOURCE_DIR}/windows/clock_gettime.c
            ${BLADERF_HOST_COMMON_SOURCE_DIR}/windows/setenv.c
    )
endif()

if(APPLE)
    set(BLADERF_CLI_SOURCE ${BLADERF_CLI_SOURCE}
            ${BLADERF_HOST_COMMON_SOURCE_DIR}/osx/clock_gettime.c
    )
endif()

add_executable(bladeRF-cli ${BLADERF_CLI_SOURCE})

################################################################################
# Build configuration
################################################################################
set(CLI_LINK_LIBRARIES
    libbladerf_shared
    ${CMAKE_THREAD_LIBS_INIT}
)

if(NOT MSVC)
    set(CLI_LINK_LIBRARIES ${CLI_LINK_LIBRARIES} m)
endif()

if(ENABLE_LIBTECLA)
    set(CLI_LINK_LIBRARIES ${CLI_LINK_LIBRARIES} ${LIBTECLA_LIBRARIES})

    # On a few tests Linux distros, libtecla is not build against
    # ncurses. However, folks have reported that builds on OSX use it
    if(CMAKE_HOST_APPLE)
        set(CLI_LINK_LIBRARIES ${CLI_LINK_LIBRARIES} ncurses)
    endif(CMAKE_HOST_APPLE)

endif(ENABLE_LIBTECLA)

if(LIBPTHREADSWIN32_FOUND)
    set(CLI_LINK_LIBRARIES ${CLI_LINK_LIBRARIES} ${LIBPTHREADSWIN32_LIBRARIES})
endif()

if(LIBC_VERSION)
    # clock_gettime() was moved from librt -> libc in 2.17
    if(${LIBC_VERSION} VERSION_LESS "2.17")
        set(CLI_LINK_LIBRARIES ${CLI_LINK_LIBRARIES} rt)
    endif()
endif()

target_link_libraries(bladeRF-cli ${CLI_LINK_LIBRARIES})

################################################################################
# Man pages
################################################################################
if(BUILD_BLADERF_CLI_DOCUMENTATION)
    find_program(HELP2MAN_EXECUTABLE help2man)

    if(HELP2MAN_EXECUTABLE)
        message(STATUS "Will build man page for bladeRF-cli.")

        if(NOT DEFINED MAN_INSTALL_DIR)
            set(MAN_INSTALL_DIR share/man)
        endif(NOT DEFINED MAN_INSTALL_DIR)

        # Build actual man page
        add_custom_command(
            OUTPUT bladeRF-cli.1
            DEPENDS bladeRF-cli src/cmd/doc/cmd_help.man
            COMMAND ${HELP2MAN_EXECUTABLE}
                --no-info --no-discard-stderr
                --opt-include=${CMAKE_CURRENT_SOURCE_DIR}/../doc/include_man/bladeRF-cli.h2m
                --opt-include=${CMAKE_CURRENT_BINARY_DIR}/src/cmd/doc/cmd_help.man
                --opt-include=${CMAKE_CURRENT_SOURCE_DIR}/../doc/include_man/common.h2m
                --output=bladeRF-cli.1
                ./bladeRF-cli
            WORKING_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}
        )

        install(
            FILES ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/bladeRF-cli.1
            DESTINATION ${MAN_INSTALL_DIR}/man1
        )

        add_custom_target(bladeRF-cli-manpage ALL DEPENDS bladeRF-cli.1)

    else(HELP2MAN_EXECUTABLE)
        message(FATAL_ERROR "Could not find help2man. bladeRF-cli man page "
                "cannot be built.")
    endif(HELP2MAN_EXECUTABLE)
else(BUILD_BLADERF_CLI_DOCUMENTATION)
    message(STATUS "Not building man page for bladeRF-cli. "
            "(BUILD_BLADERF_CLI_DOCUMENTATION is OFF)")
endif(BUILD_BLADERF_CLI_DOCUMENTATION)

################################################################################
# Installation
################################################################################
if(NOT DEFINED BIN_INSTALL_DIR)
    set(BIN_INSTALL_DIR bin)
endif()

install(TARGETS bladeRF-cli DESTINATION ${BIN_INSTALL_DIR})

################################################################################
# Informational output
################################################################################
message(STATUS "Configured to build bladeRF-cli version: ${VERSION_INFO}")

=== debian/changelog ===
bladerf (2018.08-rc2) unstable; urgency=low

  * Release candidate 2 for the 2018.08 release
  * Fix builds on 32-bit architectures
  * Fix builds on FreeBSD
  * Fix Debian/Ubuntu packaging

 -- Rey Tucker <pgp@reytucker.us>  Thu, 16 Aug 2018 19:55:00 -0400

bladerf (2018.08-rc1) unstable; urgency=low

  * Release candidate 1 for the 2018.08 release
  * Adds support for the bladeRF 2.0 Micro
  * Major version number change: libbladerf1 is now libbladerf2
  * FPGA bitstream v0.7.3, FX3 FW v2.2.0, libbladeRF v2.0.0, bladeRF-cli v1.6.0

 -- Rey Tucker <pgp@reytucker.us>  Wed, 15 Aug 2018 21:07:42 -0400

bladerf (2017.12-rc1) unstable; urgency=low

  * Release candidate 1 for the 2017.12 release
  * FPGA bitstream v0.7.1, FX3 FW v2.0.0, libbladeRF v1.9.0, bladeRF-cli v1.5.1

 -- Rey Tucker <pgp@reytucker.us>  Fri, 08 Dec 2017 11:35:12 -0500

bladerf (2017.07) unstable; urgency=low

  [ Robert Ghilduta ]
  * Add Automatic Gain Control

  [ Rey Tucker ]
  * debian: fix permissions on FPGA and firmware binaries after downloading

 -- Robert Ghilduta <robert.ghilduta@nuand.com>  Sun, 02 Jul 2017 21:14:15 -0400

bladerf (2016.06) unstable; urgency=low

  * Added synchronization trigger functionality
  * Added SMB clock port control to libbladeRF API
  * Added XB-300 support
  * Added detection of v2.0.0 firmware series (with new VID/PID)
  * FPGA bitstream v0.6.0, FX3 FW v2.0.0, libbladeRF v1.7.2, bladeRF-cli v1.4.0

 -- Jon Szymaniak <jon.szymaniak@nuand.com>  Wed, 29 Jun 2016 16:10:35 -0400

bladerf (2016.01-rc1) unstable; urgency=low

  * Added support for VCTCXO taming using 1.8V 1 PPS or 10 MHz input signal
  * Revised DC offset correction algorithm; fixes lockups
  * Added firmware logging mechanism
  * Updated firmware to FX3 SDK 1.3.3
  * Added libbladeRF support for setting SMB clock to arbitrary frequency
  * Added XB-100 host support
  * Fixed TX undderrun issues (now correctly uses all available buffers)
  * FPGA bitstream v0.5.0, FX3 FW v1.9.0, libbladeRF v1.5.1, bladeRF-cli v1.3.1

 -- Jon Szymaniak <jon.szymaniak@nuand.com>  Thu, 07 Jan 2016 16:35:09 -0500

bladerf (2015.07) unstable; urgency=low

  * FPGA: Fixed bug where TX_NOW bursts could cause metadata/sample FIFO slips
  * libbladeRF: Devices can now be opened using only a subset of a serial number
  * libbladeRF: Fixed regressions in XB-200 filterbank selection and loopback support
  * libbladeRF: Corrected zero-padding at end of TX burst
  * FPGA bitstream v0.3.4, FX3 Firmware v1.8.0, libbladeRF v1.4.3, bladeRF-cli v1.2.1

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Sat, 25 Jul 2015 16:35:38 -0400

bladerf (2015.06-rc1) unstable; urgency=low

  [ Jon Szymaniak ]
  * FPGA, libbladeRF: Configurable tuning modes: host and fpga
  * FPGA, libbladeRF: Scheduled retune: retune module at specified sample timestamp
  * FPGA, libbladeRF: Quick retune: retune using previously identified tuning parameters
  * FPGA, libbladeRF: Readback of current vctcxo trim DAC settting
  * bladeRF-cli: Added semicolon command separator support
  * bladeRF-cli: Added 'print trimdac' implementation

  [ Ryan Tucker ]
  * Fixup debian/changelog for rc1 

 -- Ryan Tucker <rtucker@gmail.com>  Wed, 01 Jul 2015 20:07:04 -0400

bladerf (2015.02) unstable; urgency=low

  * Build fixes

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Sat, 28 Feb 2015 15:58:39 -0500

bladerf (2015.01-rc2) unstable; urgency=low

  * Fixed issue #95, which prevented device from being opened after an application crash
  * Fixes for undesired XB-200 signal attenuation and LMS signal integrity issues
  * Added BLADERF_LOG_LEVEL support and optional libbladeRF syslog support
  * FPGA bitstream v0.1.2, FX3 Firmware v1.8.0, libbladeRF v1.2.0, bladeRF-cli v1.1.1

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Sat, 31 Jan 2015 17:02:35 -0500

bladerf (2014.12-rc1) unstable; urgency=low

  * Added libbladeRF API functions for finding and recovering devices in bootloader mode
  * Added BLADERF_SEARCH_DIR, current working directory, and binary dir to libbladeRF file search path
  * The bladeRF-cli -p/--probe option now returns a non-zero return code if no devices were found.
  * FPGA bitstream v0.1.2, FX3 Firmware v1.8.0, libbladeRF v1.1.0, bladeRF-cli v1.1.0

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Tue, 22 Dec 2014 14:06:49 -0500

bladerf (2014.11) unstable; urgency=low

  * First stable libbladeRF API release
  * FPGA bitstream v0.1.2, FX3 Firmware v1.8.0, libbladeRF v1.0.0, bladeRF-cli v1.0.0

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Sun, 30 Nov 2014 16:18:33 -0500

bladerf (2014.11-rc3) unstable; urgency=low

  * Second of three release candidates for rescheduled 2014.11 release
  * FPGA bitstream v0.1.1, FX3 Firmware v1.7.1, libbladeRF v0.17.0, bladeRF-cli v0.12.0
  * Introduced timestamp metadata support in libbladeRF's synchronous interface
  * A majority of libbladeRF functions have been made thread-safe.
  * Fixes for DC calibration issues, deadlocks, crashes, and various defects.

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Thu, 30 Oct 2014 21:59:38 -0400

bladerf (2014.09-rc2) unstable; urgency=low

  * Tagged release 2014.09-rc2 at dddc72f
  * Second of three release candidates for 2014.09 release
  * FPGA bitstream v0.0.6, FX3 Firmware v1.7.1, libbladeRF v0.16.2, bladeRF-cli v0.11.1
  * Closes #284: [hdl (nios)] Defects present in gain/phase correction bug
  * Closes #271: Frequency readback is incorrect when using xb200 bug
  * Closes #270: Markdown-ify the bladeRF-cli interactive help
  * Closes #254: bladeRF-cli: Clean up print/set lnagain bug
  * Closes #249: [libbladeRF] LMS VTUNE not locking occasionally bug
  * Closes #248: [bladeRF-Cli] Fix 'correct' command parameter ranges, cleanup usage and help text bug
  * Closes #243: [libbladeRF] Remove bladerf_* calls from lms.c enhancement
  * Closes #234: [libbladeRF] Cleanup: Move bladerf_get/set_sampling to lms.c enhancement


=== debian/control ===
Source: bladerf
Priority: extra
Maintainer: Ryan Tucker <bladerf@ryantucker.us>
Build-Depends: debhelper (>=9), cmake (>= 2.8.5), pkg-config, doxygen,
 libusb-1.0-0-dev (>= 1.0.12), libtecla-dev | libtecla1-dev, libncurses5-dev,
 git, help2man, pandoc
Standards-Version: 3.9.5
Section: comm
Homepage: http://www.nuand.com/bladeRF
Vcs-Git: git://github.com/Nuand/bladeRF.git
Vcs-Browser: https://github.com/Nuand/bladeRF

Package: libbladerf2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libusb-1.0-0 (>= 1.0.12)
Recommends: bladerf-fpga, libbladerf-udev
Suggests: bladerf-firmware
Description: nuand bladeRF software-defined radio device
 The nuand bladeRF is an open-source software-defined radio (SDR) system,
 comprised of an RF transceiver, a field-programmable gate array (FPGA),
 a microcontroller driving a USB 3.0 interface, and a suite of host
 libraries and drivers to facilitate interaction with the device.
 .
 This package provides the host library.

Package: libbladerf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libbladerf2 (= ${binary:Version}), libc6-dev | libc-dev, ${misc:Depends}
Description: nuand bladeRF software-defined radio device (header files)
 The nuand bladeRF is an open-source software-defined radio (SDR) system,
 comprised of an RF transceiver, a field-programmable gate array (FPGA),
 a microcontroller driving a USB 3.0 interface, and a suite of host
 libraries and drivers to facilitate interaction with the device.
 .
 This package contains the header files required for compiling bladeRF
 applications.

Package: libbladerf-udev
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, udev
Conflicts: libbladerf0
Description: nuand bladeRF software-defined radio device (header files)
 The nuand bladeRF is an open-source software-defined radio (SDR) system,
 comprised of an RF transceiver, a field-programmable gate array (FPGA),
 a microcontroller driving a USB 3.0 interface, and a suite of host
 libraries and drivers to facilitate interaction with the device.
 .
 This package contains udev rules to ensure that the USB device is
 configured correctly when connected.

Package: bladerf
Section: comm
Architecture: any
Multi-Arch: foreign
Depends: libbladerf2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libbladerf-udev
Provides: bladerf-host
Conflicts: bladerf-host
Replaces: bladerf-host
Description: nuand bladeRF software-defined radio device (tools)
 The nuand bladeRF is an open-source software-defined radio (SDR) system,
 comprised of an RF transceiver, a field-programmable gate array (FPGA),
 a microcontroller driving a USB 3.0 interface, and a suite of host
 libraries and drivers to facilitate interaction with the device.
 .
 This package provides command-line tools for controlling the bladeRF.

Package: bladerf-fpga-hostedx40
Section: comm
Architecture: any
Depends: wget, ${shlibs:Depends}, ${misc:Depends}
Recommends: bladerf
Suggests: bladerf-firmware
Provides: bladerf-fpga
Description: nuand bladeRF FPGA bitstream downloader (hostedx40)
 This package will, at the time of installation, download an appropriate
 FPGA bitstream for using the nuand bladeRF in a hosted (USB-controlled)
 configuration.  The FPGA bitstream will be downloaded from
 http://nuand.com/fpga/ and saved to /usr/share/Nuand/bladeRF.
 .
 This bitstream is for the bladeRF x40 with the Altera Cyclone IV
 EP4CE40 FPGA.
 .
 Note that this will not upgrade the bladeRF itself.  That can be done
 with the bladeRF-cli utility.

Package: bladerf-fpga-hostedx115
Section: comm
Architecture: any
Depends: wget, ${shlibs:Depends}, ${misc:Depends}
Recommends: bladerf
Suggests: bladerf-firmware
Provides: bladerf-fpga
Description: nuand bladeRF FPGA bitstream downloader (hostedx115)
 This package will, at the time of installation, download an appropriate
 FPGA bitstream for using the nuand bladeRF in a hosted (USB-controlled)
 configuration.  The FPGA bitstream will be downloaded from
 http://nuand.com/fpga/ and saved to /usr/share/Nuand/bladeRF.
 .
 This bitstream is for the bladeRF x115 with the Altera Cyclone IV
 EP4CE115 FPGA.
 .
 Note that this will not upgrade the bladeRF itself.  That can be done
 with the bladeRF-cli utility.

Package: bladerf-fpga-hostedxa4
Section: comm
Architecture: any
Depends: wget, ${shlibs:Depends}, ${misc:Depends}
Recommends: bladerf
Suggests: bladerf-firmware
Provides: bladerf-fpga
Description: nuand bladeRF FPGA bitstream downloader (hostedxA4)
 This package will, at the time of installation, download an appropriate
 FPGA bitstream for using the nuand bladeRF in a hosted (USB-controlled)
 configuration.  The FPGA bitstream will be downloaded from
 http://nuand.com/fpga/ and saved to /usr/share/Nuand/bladeRF.
 .
 This bitstream is for the bladeRF 2.0 micro A4 with the Altera Cyclone V
 5CEBA4 FPGA.
 .
 Note that this will not upgrade the bladeRF itself.  That can be done
 with the bladeRF-cli utility.

Package: bladerf-fpga-hostedxa9
Section: comm
Architecture: any
Depends: wget, ${shlibs:Depends}, ${misc:Depends}
Recommends: bladerf
Suggests: bladerf-firmware
Provides: bladerf-fpga
Description: nuand bladeRF FPGA bitstream downloader (hostedxA4)
 This package will, at the time of installation, download an appropriate
 FPGA bitstream for using the nuand bladeRF in a hosted (USB-controlled)
 configuration.  The FPGA bitstream will be downloaded from
 http://nuand.com/fpga/ and saved to /usr/share/Nuand/bladeRF.
 .
 This bitstream is for the bladeRF 2.0 micro A9 with the Altera Cyclone V
 5CEBA9 FPGA.
 .
 Note that this will not upgrade the bladeRF itself.  That can be done
 with the bladeRF-cli utility.

Package: bladerf-firmware-fx3
Section: comm
Architecture: any
Depends: wget, ${shlibs:Depends}, ${misc:Depends}
Recommends: bladerf
Suggests: bladerf-fpga
Provides: bladerf-firmware
Description: nuand bladeRF firmware downloader (FX3)
 This package will, at the time of installation, download an appropriate
 firmware image for using the nuand bladeRF with a Cypress FX3 USB
 controller.  The image will be downloaded from http://nuand.com/fx3/
 and saved to /usr/share/Nuand/bladeRF.
 .
 This bitstream will work for either the nuand bladeRF x40 or the x115,
 as well as the bladeRF 2.0 micro A4 or A9.
 .
 Note that this will not upgrade the bladeRF itself.  That can be done
 with the bladeRF-cli utility.
